*使用[webhook](https://github.com/soulteary/webhook.git)项目*  
*config目录为webhook配置*  
*scripts存放执行脚本*  

*重要提示*  
  已安装docker及docker-compose
## 启动
```shell
docker compose up -d
```

## 停止
```shell
docker compose down
```

## 配置说明
#### suno_recharge
举例如下：
* suno生产环境的account_1用户充值500 credit
```shell
curl "http://127.0.0.1:8002/hooks/suno_recharge?env=prod&&account=account_1&&amount=500"
```

#### huaweicloud
需要事先配置好smn主题，配置订阅时，选择http/https，把webhook地址填入（如本例中的https://webhook-ops.shasoapp.com/hooks/huaweicloud）

有消息通知时，会把消息中的message字段发送到飞书群中

#### hwtlsupdate
需要事先配置acme.sh，生成域名证书，然后配置到华为云-网络控制台-弹性负载均衡-证书管理中，并获取证书id
acme.sh自动更新证书时，会请求相应webhook地址，更新华为云中配置的证书。
